#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n;
    cin >> n;
    vector<pair<double, int>> v;
    for (int i = 0; i < n; i++) {
        int x; double y;
        cin >> x >> y;
        v.push_back({y, x});
    }
    sort(v.begin(), v.end());
    vector<int> sum(n);
    sum[0] = v[0].second;
    for (int i = 1; i < n; i++) {
        sum[i] = v[i].second + sum[i-1];
    }

    double ans = 0;
    for (int i = 0; i < n; i++) {
        double p = v[i].first;
        int ukupna_zarada = sum[n-1];
        if (i > 0) ukupna_zarada -= sum[i-1];
        double zarada = p/100 * ukupna_zarada;
        ans = max(ans, zarada);
    }
    cout << fixed << setprecision(4) << ans << "\n";
    return 0;
}